<template>
  <div class="switch-bar">
    <div class="name">{{ barName }}</div>
    <el-switch
      v-model="value"
      active-color="rgba(61, 104, 225, 1)"
      @change="switchChange"
    >
    </el-switch>
  </div>
</template>

<script>
export default {
  data() {
    return {
      // value: false,
    };
  },
  props: ["barName","value"],
  methods: {
    switchChange(val) {
      this.$emit("switchChange",val);
    },
  },
};
</script>
<style lang="scss">
.switch-bar {
  display: flex;
  align-items: center;
  height: 50px;
  padding: 0 25px;
  background-color: rgba(248, 248, 248, 1);
  justify-content: space-between;
  border-radius: 12px;
  margin-bottom: 10px;
  .name {
    font-size: 14px;
  }
}
</style>
